mbedtls_ecjpake_context Struct Reference

`#include <ecjpake.h>`

Collaboration diagram for mbedtls_ecjpake_context:
[legend]

## Data Fields

const mbedtls_md_info_t * | md_info
mbedtls_ecp_group | grp
mbedtls_ecjpake_role | role
int | point_format
mbedtls_ecp_point | Xm1
mbedtls_ecp_point | Xm2
mbedtls_ecp_point | Xp1
mbedtls_ecp_point | Xp2
mbedtls_ecp_point | Xp
mbedtls_mpi | xm1
mbedtls_mpi | xm2
mbedtls_mpi | s

## Detailed Description

EC J-PAKE context structure.

J-PAKE is a symmetric protocol, except for the identifiers used in Zero-Knowledge Proofs, and the serialization of the second message (KeyExchange) as defined by the Thread spec.

In order to benefit from this symmetry, we choose a different naming convetion from the Thread v1.0 spec. Correspondance is indicated in the description as a pair C: client name, S: server name

Definition at line 74 of file ecjpake.h.

## Field Documentation

## grp

mbedtls_ecp_group mbedtls_ecjpake_context::grp

Elliptic curve

Definition at line 77 of file ecjpake.h.

## md_info

const mbedtls_md_info_t* mbedtls_ecjpake_context::md_info

Hash to use

Definition at line 76 of file ecjpake.h.

## point_format

int mbedtls_ecjpake_context::point_format

Format for point export

Definition at line 79 of file ecjpake.h.

## role

mbedtls_ecjpake_role mbedtls_ecjpake_context::role

Are we client or server?

Definition at line 78 of file ecjpake.h.

## s

mbedtls_mpi mbedtls_ecjpake_context::s

Pre-shared secret (passphrase)

Definition at line 90 of file ecjpake.h.

## Xm1

mbedtls_ecp_point mbedtls_ecjpake_context::Xm1

My public key 1 C: X1, S: X3

Definition at line 81 of file ecjpake.h.

## xm1

mbedtls_mpi mbedtls_ecjpake_context::xm1

My private key 1 C: x1, S: x3

Definition at line 87 of file ecjpake.h.

## Xm2

mbedtls_ecp_point mbedtls_ecjpake_context::Xm2

My public key 2 C: X2, S: X4

Definition at line 82 of file ecjpake.h.

## xm2

mbedtls_mpi mbedtls_ecjpake_context::xm2

My private key 2 C: x2, S: x4

Definition at line 88 of file ecjpake.h.

## Xp

mbedtls_ecp_point mbedtls_ecjpake_context::Xp

Peer public key C: Xs, S: Xc

Definition at line 85 of file ecjpake.h.

## Xp1

mbedtls_ecp_point mbedtls_ecjpake_context::Xp1

Peer public key 1 C: X3, S: X1

Definition at line 83 of file ecjpake.h.

## Xp2

mbedtls_ecp_point mbedtls_ecjpake_context::Xp2

Peer public key 2 C: X4, S: X2

Definition at line 84 of file ecjpake.h.

The documentation for this struct was generated from the following file:

- ecjpake.h